## org.coolreader_83_src.tar.gz

=== CMakeLists.txt ===
PROJECT(cr3)
cmake_minimum_required(VERSION 2.6)

#INCLUDE(CPack)

IF(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE Release CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
ENDIF(NOT CMAKE_BUILD_TYPE)

IF(${CMAKE_BUILD_TYPE} STREQUAL Debug)
  ADD_DEFINITIONS( -D_DEBUG=1 -DDEBUG=1 )
ELSE()
  ADD_DEFINITIONS( -DNDEBUG=1 )
ENDIF(${CMAKE_BUILD_TYPE} STREQUAL Debug)

if (NOT DEFINED GUI)
  SET(GUI QT)
  message("GUI type is not specified!")
  message("Using ${GUI} as default")
  message("Add cmake parameter -D GUI={QT|WX|CRGUI_XCB|CRGUI_NANOX|CRGUI_JINKE_PLUGIN|CRGUI_WIN32|FB2PROPS} to use another GUI frontend")
else ()
  message("Using GUI frontend ${GUI}")
endif (NOT DEFINED GUI)



# Determines whether to use external app EDICT for dictionary
if (NOT DEFINED USE_EXTERNAL_EDICT_DICTIONARY)
  SET(USE_EXTERNAL_EDICT_DICTIONARY 0)
else()
  SET(USE_EXTERNAL_EDICT_DICTIONARY ${USE_EXTERNAL_EDICT_DICTIONARY})
endif (NOT DEFINED USE_EXTERNAL_EDICT_DICTIONARY)
message("using USE_EXTERNAL_EDICT_DICTIONARY=${USE_EXTERNAL_EDICT_DICTIONARY}")
ADD_DEFINITIONS( -DUSE_EXTERNAL_EDICT_DICTIONARY=${USE_EXTERNAL_EDICT_DICTIONARY} )


# Document buffer cache / compression settings

#whether to compress data
if (NOT DEFINED DOC_DATA_COMPRESSION_LEVEL)
  message("-D DOC_DATA_COMPRESSION_LEVEL=0|1|2|3|4|5 parameter is not defined: will use default value")
  SET(DOC_DATA_COMPRESSION_LEVEL 1)
else()
  SET(DOC_DATA_COMPRESSION_LEVEL ${DOC_DATA_COMPRESSION_LEVEL})
endif (NOT DEFINED DOC_DATA_COMPRESSION_LEVEL)
message("using TEXT_COMPRESSION_LEVEL=${DOC_DATA_COMPRESSION_LEVEL}")
ADD_DEFINITIONS( -DDOC_DATA_COMPRESSION_LEVEL=${DOC_DATA_COMPRESSION_LEVEL} )

# Total RAM buffers size for document
if (NOT DEFINED DOC_BUFFER_SIZE)
  message("-D DOC_BUFFER_SIZE=N parameter is not defined: will use default value")
  SET(DOC_BUFFER_SIZE 0x400000)
else()
  SET(DOC_BUFFER_SIZE ${DOC_BUFFER_SIZE})
endif (NOT DEFINED DOC_BUFFER_SIZE)
message("using DOC_BUFFER_SIZE=${DOC_BUFFER_SIZE}")
ADD_DEFINITIONS( -DDOC_BUFFER_SIZE=${DOC_BUFFER_SIZE} )

# big page margins support
if (NOT DEFINED BIG_PAGE_MARGINS)
  SET(BIG_PAGE_MARGINS 0)
else()
  SET(BIG_PAGE_MARGINS ${BIG_PAGE_MARGINS})
endif (NOT DEFINED BIG_PAGE_MARGINS)
ADD_DEFINITIONS( -DBIG_PAGE_MARGINS=${BIG_PAGE_MARGINS} )

# big page margins support
if (NOT DEFINED MAX_IMAGE_SCALE_MUL)
  SET(MAX_IMAGE_SCALE_MUL 0)
else()
  SET(MAX_IMAGE_SCALE_MUL ${MAX_IMAGE_SCALE_MUL})
endif (NOT DEFINED MAX_IMAGE_SCALE_MUL)
ADD_DEFINITIONS( -DMAX_IMAGE_SCALE_MUL=${MAX_IMAGE_SCALE_MUL} )

if ( WIN32 )
  ADD_DEFINITIONS( -DWIN32=1 -D_WIN32=1 -DCR_EMULATE_GETTEXT=1 )
else()
  ADD_DEFINITIONS( -DLINUX=1 -D_LINUX=1 )
endif( WIN32 )

if (NOT DEFINED GRAY_BACKBUFFER_BITS)
  SET(GRAY_BACKBUFFER_BITS 2)
endif (NOT DEFINED GRAY_BACKBUFFER_BITS)
if (NOT DEFINED ENABLE_DBUS_VIEWER_EVENTS)
  SET(ENABLE_DBUS_VIEWER_EVENTS 0)
endif (NOT DEFINED ENABLE_DBUS_VIEWER_EVENTS)


SET (CRGUI_DEFS -DCOLOR_BACKBUFFER=0 -DLDOM_USE_OWN_MEM_MAN=0 -DGRAY_BACKBUFFER_BITS=${GRAY_BACKBUFFER_BITS} 
      -DENABLE_DBUS_VIEWER_EVENTS=${ENABLE_DBUS_VIEWER_EVENTS})
SET (DESKTOP_DEFS -DCOLOR_BACKBUFFER=1 -DLDOM_USE_OWN_MEM_MAN=1 -DUSE_FREETYPE=1 )

if( ${GUI} STREQUAL QT )
FIND_PACKAGE( Qt4 REQUIRED )
INCLUDE(${QT_USE_FILE})
endif( ${GUI} STREQUAL QT )

if (DEFINED USE_QT_ZLIB)
  SET(ZLIB_INCLUDE_DIR ${QT_INCLUDE_DIR}/../src/3rdparty/zlib)
  message("Using QT ZLIB ${USE_QT_ZLIB} include dir: ${ZLIB_INCLUDE_DIR}")
# SET(ZLIB_LIBRARIES "")
else()
if (NOT WIN32 AND NOT DEFINED USE_STATIC_ZLIB)
FIND_PACKAGE(ZLIB)
endif (NOT WIN32 AND NOT DEFINED USE_STATIC_ZLIB)
if (NOT ZLIB_FOUND)
  message("System ZLIB not found, will build local one")
  #to disable #include <qconfig.h>
  ADD_DEFINITIONS(-DCR3_PATCH=1)
  ADD_SUBDIRECTORY(thirdparty/zlib)
  SET(ZLIB_INCLUDE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/thirdparty/zlib)
  SET(ZLIB_LIBRARIES z)
endif (NOT ZLIB_FOUND)
endif(DEFINED USE_QT_ZLIB)

if ( NOT ${GUI} STREQUAL FB2PROPS )
if (NOT WIN32)
FIND_PACKAGE(PNG)
endif (NOT WIN32)
if (NOT PNG_FOUND)
  message("System LIBPNG not found, will build local one")
  #to disable #include <qconfig.h>
  ADD_DEFINITIONS(-DCR3_PATCH=1)
  INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIR})
  ADD_SUBDIRECTORY(thirdparty/libpng)
  SET(PNG_INCLUDE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/thirdparty/libpng)
  SET(PNG_LIBRARIES png)
endif (NOT PNG_FOUND)

if (NOT WIN32)
FIND_PACKAGE(JPEG)
endif (NOT WIN32)
if (NOT JPEG_FOUND)
  message("System LIBJPEG not found, will build local one")
  ADD_SUBDIRECTORY(thirdparty/libjpeg)
  SET(JPEG_INCLUDE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/thirdparty/libjpeg)
  SET(JPEG_LIBRARIES jpeg)
endif (NOT JPEG_FOUND)

if (NOT WIN32)
FIND_PACKAGE(Freetype)
endif (NOT WIN32)
if (NOT FREETYPE_FOUND)
  message("System FREETYPE not found, will build local one")
  ADD_SUBDIRECTORY(thirdparty/freetype)
  SET(FREETYPE_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/thirdparty/freetype/include)
  SET(FREETYPE_LIBRARIES freetype)
endif (NOT FREETYPE_FOUND)

message("Will build patched LIBCHM library")
ADD_SUBDIRECTORY(thirdparty/chmlib)
SET(CHM_INCLUDE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/thirdparty/chmlib)
SET(CHM_LIBRARIES chmlib)
ADD_DEFINITIONS(-DCHM_SUPPORT_ENABLED=1)

if (ENABLE_ANTIWORD)
message("Will build patched ANTIWORD library")
ADD_DEFINITIONS(-DCR3_ANTIWORD_PATCH=1)
ADD_SUBDIRECTORY(thirdparty/antiword)
SET(ANTIWORD_INCLUDE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/thirdparty/antiword)
SET(ANTIWORD_LIBRARIES antiword)
ADD_DEFINITIONS(-DENABLE_ANTIWORD=1)
INCLUDE_DIRECTORIES( ${ANTIWORD_INCLUDE_DIR} )
else()
ADD_DEFINITIONS(-DENABLE_ANTIWORD=0)
endif(ENABLE_ANTIWORD)
endif ( NOT ${GUI} STREQUAL FB2PROPS )


INCLUDE_DIRECTORIES( 
  ${PNG_INCLUDE_DIR} 
  ${JPEG_INCLUDE_DIR} 
  ${ZLIB_INCLUDE_DIR} 
  ${FREETYPE_INCLUDE_DIRS}
  ${CHM_INCLUDE_DIRS}
)

if ( ${GUI} STREQUAL FB2PROPS )
SET(STD_LIBS 
  ${ZLIB_LIBRARIES} 
)
else()
SET(STD_LIBS 
  ${JPEG_LIBRARIES} 
  ${FREETYPE_LIBRARIES} 
  ${PNG_LIBRARIES} 
  ${ZLIB_LIBRARIES} 
  ${CHM_LIBRARIES}
)
include_directories(${FT_INCLUDE_PATH})
endif ( ${GUI} STREQUAL FB2PROPS )

include_directories(crengine/include)

if ( NOT ${GUI} STREQUAL FB2PROPS )
include_directories(tinydict)
message("Will make tinydict library - .dict format support")
ADD_SUBDIRECTORY(tinydict)
endif ( NOT ${GUI} STREQUAL FB2PROPS )


include(FindPkgConfig)

if ( ${GUI} STREQUAL CRGUI_XCB )
  message("Will make CR3GUI for XCB")
  ADD_DEFINITIONS( -DCR_USE_XCB=1 ${CRGUI_DEFS} )
  ADD_DEFINITIONS( -DCR_INTERNAL_PAGE_ORIENTATION=0 ${CRGUI_DEFS} )
  message("Freetype include dir: ${FREETYPE_INCLUDE_DIRS}")
  ADD_SUBDIRECTORY(crengine)
  ADD_SUBDIRECTORY(cr3gui)
elseif ( ${GUI} STREQUAL CRGUI_NANOX )
  message("Will make CR3GUI for NanoX")
  if (ENABLE_DBUS_VIEWER_EVENTS)
    message("Will handle DBUS messages")
    pkg_check_modules( DBUS REQUIRED dbus-1 )
    message("dbus include dir: ${DBUS_INCLUDE_DIRS} path ${DBUS_INCLUDE_PATH}")
    include_directories(${DBUS_INCLUDE_DIRS})
  endif (ENABLE_DBUS_VIEWER_EVENTS)
  ADD_DEFINITIONS( -DLBOOK=1 -DWITH_JINKE=1 -DCR_USE_JINKE=1
    -DJINKE_VIEWER ${CRGUI_DEFS} -DENABLE_UPDATE_MODE_SETTING=1 )
  ADD_SUBDIRECTORY(crengine)
  ADD_SUBDIRECTORY(cr3gui)
elseif ( ${GUI} STREQUAL CRGUI_JINKE_PLUGIN )
  message("Will make CR3GUI plugin for Jinke Viewer")
  ADD_DEFINITIONS( -DLBOOK=1 -DWITH_JINKE=1 -DWITH_JINKE_APP=1
    -DCR_USE_JINKE=1 ${CRGUI_DEFS}
    -DENABLE_UPDATE_MODE_SETTING=1 )
  ADD_SUBDIRECTORY(crengine)
  ADD_SUBDIRECTORY(cr3gui)
elseif ( ${GUI} STREQUAL FB2PROPS )
  message("Will make LIBFB2PROPS plugin for Jinke Bookshelf")
  ADD_DEFINITIONS( -DLBOOK=1 -DWITH_JINKE=1 -DCR_USE_JINKE=1 -DBUILD_LITE=1 ${CRGUI_DEFS} )
  ADD_SUBDIRECTORY(crengine)
  ADD_SUBDIRECTORY(fb2props)
elseif ( ${GUI} STREQUAL CRGUI_WIN32 )
  message("Will make CR3GUI for Win32")
  ADD_DEFINITIONS( ${CRGUI_DEFS} )
  ADD_SUBDIRECTORY(crengine)
  ADD_SUBDIRECTORY(cr3gui)
elseif ( ${GUI} STREQUAL QT )
  message("Will make CR3/QT")
  ADD_DEFINITIONS( ${DESKTOP_DEFS} )
  ADD_SUBDIRECTORY(crengine)
  ADD_SUBDIRECTORY(cr3qt)
elseif ( ${GUI} STREQUAL WX )
  message("Will make CR3/WX")
  ADD_DEFINITIONS( ${DESKTOP_DEFS} -DCR_WX_SUPPORT=1 )
  SET(wxWidgets_USE_LIBS base core )
  FIND_PACKAGE(wxWidgets)
  IF (wxWidgets_FOUND)
    INCLUDE(${wxWidgets_USE_FILE})
    include_directories( ${wxWidgets_INCLUDE_DIRS} )
    message( "WX include: ${wxWidgets_INCLUDE_DIRS}" )
  ELSE (wxWidgets_FOUND)
    message("wxWidgets library not found!")
  ENDIF (wxWidgets_FOUND)
  ADD_SUBDIRECTORY(crengine)
  ADD_SUBDIRECTORY(cr3wx)
else ( ${GUI} STREQUAL CRGUI_XCB )
  message("Unknown GUI type ${GUI}")
endif ( ${GUI} STREQUAL CRGUI_XCB )

=== cr3gui/CMakeLists.txt ===
if (NOT DEFINED DEVICE_NAME)
  if ( ${GUI} STREQUAL CRGUI_XCB )
    SET(DEVICE_NAME all)
  else ()
    SET(DEVICE_NAME v3)
  endif ( ${GUI} STREQUAL CRGUI_XCB )
  message("Device type is not specified! It's necessary to know device type in order to choose proper keyboard layout, etc...")
  message("Using ${DEVICE_NAME} as default")
  message("Add cmake parameter -D DEVICE_NAME={v3|v5|n516|v3a} to use another device settings")
else ()
  message("Device type is set to ${DEVICE_NAME}")
endif (NOT DEFINED DEVICE_NAME)


#FIND_PACKAGE(Gettext REQUIRED)

#use macros from kwwidgets instead of usual
SET(KWWidgets_CMAKE_DIR ${CMAKE_SOURCE_DIR}/tools/)
INCLUDE(${KWWidgets_CMAKE_DIR}FindGettext.cmake)
INCLUDE(${KWWidgets_CMAKE_DIR}KWWidgetsInternationalizationMacros.cmake)

SET (LANGUAGES ru uk de bg es ca pl lt zh_CN zh_TW)
message( "Languages: ${LANGUAGES}" )


SET (CR3_SOURCES 
  src/bgfit.cpp
  src/citedlg.cpp 
  src/fsmenu.cpp    
  src/mainwnd.cpp  
  src/recentdlg.cpp 
  src/selnavig.cpp 
  src/tocdlg.cpp 
  src/bmkdlg.cpp   
  src/cr3_def_cover.cpp 
  src/cr3main.cpp  
  src/dictdlg.cpp 
  src/linksdlg.cpp 
  src/numedit.cpp 
  src/scrkbd.cpp   
  src/settings.cpp 
  src/viewdlg.cpp
)

SET (CR3_STYLES
  data/epub.css  data/fb2.css  data/htm.css  data/rtf.css  data/txt.css data/chm.css
)

#   
KWWidgets_CREATE_GETTEXT_TARGETS(
   DOMAIN_NAME "cr3"
   LOCALE_LIST "${LANGUAGES}"
   SOURCES "${CR3_SOURCES}"
   PO_DIR ${CMAKE_CURRENT_SOURCE_DIR}/po
   CREATE_POT_TARGET 1
   CREATE_PO_TARGET 1
   MO_BUILD_DIR ${CMAKE_BINARY_DIR}${CMAKE_DATA_DIR}/i18n
   ADD_MO_TARGET_TO_ALL 1
)
#   CREATE_PO_TARGET
#   CREATE_MO_TARGET

SET (CR3_BIN_DESTINATION bin)

if ( ${GUI} STREQUAL CRGUI_XCB )

    ADD_DEFINITIONS( -DUSE_FONTCONFIG=1 )
    SET(CR3_SOURCES ${CR3_SOURCES} src/cr3xcb.cpp)
    SET (EXTRA_LIBS xcb xcb-aux xcb-atom xcb-image xcb-keysyms xcb-randr fontconfig )

    INSTALL( FILES ${CR3_STYLES} DESTINATION share/cr3)
    INSTALL( FILES data/desktop/cr3.desktop DESTINATION share/applications)
    INSTALL( DIRECTORY data/hyph/ DESTINATION share/cr3/hyph
      FILES_MATCHING PATTERN "*.pdb" )
    INSTALL( DIRECTORY data/hyph/ DESTINATION share/cr3/hyph
      FILES_MATCHING PATTERN "*.pattern" )
    IF (${DEVICE_NAME} STREQUAL all)
        INSTALL( DIRECTORY data/devices/v3/skins DESTINATION share/cr3/v3 )
        INSTALL( DIRECTORY data/devices/n516/skins DESTINATION share/cr3/n516 )
        INSTALL( DIRECTORY data/devices/v3/keymaps/ DESTINATION share/cr3/v3 )
        INSTALL( DIRECTORY data/devices/n516/keymaps/ DESTINATION share/cr3/n516 )
    ELSE()
        INSTALL( DIRECTORY data/devices/${DEVICE_NAME}/skins DESTINATION share/cr3 )
        INSTALL( DIRECTORY data/devices/${DEVICE_NAME}/keymaps DESTINATION share/cr3 )
    ENDIF(${DEVICE_NAME} STREQUAL all)
    INSTALL( DIRECTORY data/manual/ DESTINATION share/cr3/manual )
    INSTALL( DIRECTORY ${CMAKE_BINARY_DIR}${CMAKE_DATA_DIR}/i18n/ DESTINATION share/locale
      FILES_MATCHING PATTERN "*.mo" )

elseif ( ${GUI} STREQUAL CRGUI_NANOX )

    SET(CR3_SOURCES ${CR3_SOURCES} src/cr3nanox.cpp)
    SET (EXTRA_LIBS nano-X pthread ${DBUS_LIBRARIES} )
    if (ENABLE_DBUS_VIEWER_EVENTS)
        SET (EXTRA_LIBS ${EXTRA_LIBS} ${DBUS_LIBRARIES} )
    endif(ENABLE_DBUS_VIEWER_EVENTS)

    INSTALL( FILES ${CR3_STYLES} DESTINATION root/crengine)
    INSTALL( DIRECTORY data/hyph/ DESTINATION root/crengine/hyph
      FILES_MATCHING PATTERN "*.pdb" )
    INSTALL( DIRECTORY data/hyph/ DESTINATION root/crengine/hyph
      FILES_MATCHING PATTERN "*.pattern" )
    INSTALL( DIRECTORY data/devices/${DEVICE_NAME}/skins/default/ DESTINATION root/crengine/skin )
    INSTALL( DIRECTORY data/devices/${DEVICE_NAME}/keymaps/ DESTINATION root/crengine )
    INSTALL( DIRECTORY data/manual/ DESTINATION root/crengine/manual )

    FOREACH(LANGUAGE ${LANGUAGES})
        SET(MO_FILE "${CMAKE_BINARY_DIR}/i18n/${LANGUAGE}/LC_MESSAGES/cr3.mo")
        INSTALL(FILES ${MO_FILE} DESTINATION root/crengine/i18n RENAME ${LANGUAGE}.mo)
    ENDFOREACH(LANGUAGE ${LANGUAGES})

#    INSTALL( DIRECTORY ${CMAKE_BINARY_DIR}/cr3gui/po/ DESTINATION root/crengine/i18n
#      FILES_MATCHING PATTERN "*.mo" )
    SET (CR3_BIN_DESTINATION root)

elseif ( ${GUI} STREQUAL CRGUI_JINKE_PLUGIN )

    SET(CR3_SOURCES ${CR3_SOURCES} src/cr3jinke.cpp)

    INSTALL( FILES ${CR3_STYLES} DESTINATION root/crengine)
    INSTALL( DIRECTORY data/hyph/ DESTINATION root/crengine/hyph
      FILES_MATCHING PATTERN "*.pdb" )
    INSTALL( DIRECTORY data/hyph/ DESTINATION root/crengine/hyph
      FILES_MATCHING PATTERN "*.pattern" )
    INSTALL( DIRECTORY data/devices/${DEVICE_NAME}/skins/default/ DESTINATION root/crengine/skin )
    INSTALL( DIRECTORY data/devices/${DEVICE_NAME}/keymaps/ DESTINATION root/crengine )
    INSTALL( DIRECTORY data/manual/ DESTINATION root/crengine/manual )

    FOREACH(LANGUAGE ${LANGUAGES})
        SET(MO_FILE "${CMAKE_BINARY_DIR}/i18n/${LANGUAGE}/LC_MESSAGES/cr3.mo")
        INSTALL(FILES ${MO_FILE} DESTINATION root/crengine/i18n RENAME ${LANGUAGE}.mo)
#        INSTALL(FILES ${MO_FILE} DESTINATION root/crengine/i18n RENAME cr3_${LANGUAGE}.mo)
    ENDFOREACH(LANGUAGE ${LANGUAGES})

#    INSTALL( DIRECTORY ${CMAKE_BINARY_DIR}/cr3gui/po/ DESTINATION root/crengine/i18n
#      FILES_MATCHING PATTERN "*.mo" )
    SET (CR3_BIN_DESTINATION usr/lib)

elseif ( ${GUI} STREQUAL CRGUI_WIN32 )

    SET(CR3_SOURCES ${CR3_SOURCES} src/cr3win.cpp)

    INSTALL( FILES ${CR3_STYLES} DESTINATION crengine)
    INSTALL( DIRECTORY data/hyph/ DESTINATION crengine/hyph
      FILES_MATCHING PATTERN "*.pdb" )
    INSTALL( DIRECTORY data/hyph/ DESTINATION crengine/hyph
      FILES_MATCHING PATTERN "*.pattern" )
    INSTALL( DIRECTORY data/devices/${DEVICE_NAME}/skins/default/ DESTINATION crengine/skin )
    INSTALL( DIRECTORY data/devices/${DEVICE_NAME}/keymaps/ DESTINATION crengine )
    INSTALL( DIRECTORY data/manual/ DESTINATION crengine/manual )
    INSTALL( DIRECTORY ${CMAKE_BINARY_DIR}/cr3gui/po/ DESTINATION cr3/i18n
      FILES_MATCHING PATTERN "*.mo" )
    SET (CR3_BIN_DESTINATION )

endif ( ${GUI} STREQUAL CRGUI_XCB )


if ( ${GUI} STREQUAL CRGUI_JINKE_PLUGIN )
    ADD_LIBRARY(fb2 SHARED ${CR3_SOURCES})
    TARGET_LINK_LIBRARIES(fb2 crengine tinydict ${EXTRA_LIBS} ${STD_LIBS})
    if (DEFINED CMAKE_STRIP)
       MESSAGE("Strip command: ${CMAKE_STRIP} ${CMAKE_BINARY_DIR}/cr3gui/libfb2.so" )
       EXECUTE_PROCESS( COMMAND ${CMAKE_STRIP} ${CMAKE_BINARY_DIR}/cr3gui/libfb2.so )
    endif (DEFINED CMAKE_STRIP)
    INSTALL( TARGETS fb2 LIBRARY DESTINATION ${CR3_BIN_DESTINATION} )
else()
    ADD_EXECUTABLE(cr3 ${CR3_SOURCES})
    TARGET_LINK_LIBRARIES(cr3 crengine tinydict ${EXTRA_LIBS} ${STD_LIBS})
    if (DEFINED CMAKE_STRIP)
       MESSAGE("Strip command:  ${CMAKE_STRIP} ${CMAKE_BINARY_DIR}/cr3gui/cr3" )
       EXECUTE_PROCESS( COMMAND ${CMAKE_STRIP} ${CMAKE_BINARY_DIR}/cr3gui/cr3 )
    endif (DEFINED CMAKE_STRIP)
    INSTALL( TARGETS cr3 RUNTIME DESTINATION ${CR3_BIN_DESTINATION} )
endif ( ${GUI} STREQUAL CRGUI_JINKE_PLUGIN )

if (${GUI} STREQUAL CRGUI_XCB)
    SET(LOGOCNV_SOURCES src/logoconv.cpp)
    ADD_EXECUTABLE(logocnv ${LOGOCNV_SOURCES})
    TARGET_LINK_LIBRARIES(logocnv crengine ${STD_LIBS} ${EXTRA_LIBS})
endif (${GUI} STREQUAL CRGUI_XCB)

=== cr3qt/CMakeLists.txt ===
FIND_PACKAGE( Qt4 REQUIRED )
INCLUDE(${QT_USE_FILE})

SET(CR3_UIS
  src/aboutdlg.ui        src/bookmarklistdlg.ui  src/mainwindow.ui  src/settings.ui
  src/addbookmarkdlg.ui  src/filepropsdlg.ui     src/recentdlg.ui   src/tocdlg.ui
  src/wolexportdlg.ui    src/exportprogressdlg.ui src/searchdlg.ui
)

SET(CR3_MOC_HDRS
  src/aboutdlg.h        
  src/bookmarklistdlg.h  
  src/mainwindow.h      
  src/settings.h
  src/addbookmarkdlg.h  
  src/cr3widget.h        
  src/filepropsdlg.h    
  src/recentdlg.h   
  src/wolexportdlg.h
  src/exportprogressdlg.h
  src/tocdlg.h
  src/searchdlg.h
)

SET (CR3_SOURCES 
  src/aboutdlg.cpp        
  src/bookmarklistdlg.cpp  
  src/crqtutil.cpp      
  src/main.cpp        
  src/recentdlg.cpp  
  src/tocdlg.cpp
  src/addbookmarkdlg.cpp  
  src/cr3widget.cpp        
  src/filepropsdlg.cpp  
  src/mainwindow.cpp  
  src/settings.cpp
  src/wolexportdlg.cpp
  src/exportprogressdlg.cpp
  src/searchdlg.cpp
)

IF (UNIX)
    ADD_DEFINITIONS(-DCR3_DATA_DIR="${CMAKE_INSTALL_PREFIX}/share/cr3/" 
          -DUSE_FONTCONFIG=1 
    )
ELSE()
    ADD_DEFINITIONS(-DCR3_DATA_DIR=""
          -DUSE_FONTCONFIG=0
    )
ENDIF(UNIX)

#IF (WIN32)
#IF(NOT ${CMAKE_BUILD_TYPE} STREQUALS Debug)
#SET(CMAKE_EXE_LINKER_FLAGS ${CMAKE_EXE_LINKER_FLAGS} /SUBSYSTEM:WINDOWS )
#ENDIF(NOT ${CMAKE_BUILD_TYPE} STREQUALS Debug)
#ENDIF (WIN32)



SET(LANGUAGES ru uk de es pl)
message( "Languages: ${LANGUAGES}" )
SET(LANGUAGE_TS_FILES)
FOREACH(LANGUAGE ${LANGUAGES})
    SET(TS_FILE "${CMAKE_CURRENT_SOURCE_DIR}/src/i18n/cr3_${LANGUAGE}.ts")
    SET(LANGUAGE_TS_FILES ${LANGUAGE_TS_FILES} ${TS_FILE})
    SET_SOURCE_FILES_PROPERTIES(${TS_FILE} PROPERTIES OUTPUT_LOCATION
        "${CMAKE_BINARY_DIR}${CMAKE_DATA_DIR}/i18n")
ENDFOREACH(LANGUAGE ${LANGUAGES})

QT4_ADD_RESOURCES(CR3_RCS src/cr3res.qrc)
QT4_WRAP_UI(CR3_UI_HDRS ${CR3_UIS})
QT4_WRAP_CPP(CR3_MOC_SRCS ${CR3_MOC_HDRS})
IF(LANGUAGE_TS_FILES)
    QT4_CREATE_TRANSLATION(QM_FILES ${CR3_SOURCES} ${CR3_UI_HDRS} ${LANGUAGE_TS_FILES})
ENDIF(LANGUAGE_TS_FILES)

INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR}/src ${CMAKE_BINARY_DIR}/cr3qt )

IF (UNIX)
FIND_PROGRAM(GZIP_TOOL
  NAMES gzip
  PATHS /bin
    /usr/bin
    /usr/local/bin
)

IF(NOT GZIP_TOOL)
  MESSAGE(FATAL_ERROR "Unable to find 'gzip' program")
ENDIF(NOT GZIP_TOOL)

SET (man ${CMAKE_CURRENT_SOURCE_DIR}/data/docs/cr3.1)
SET (man_gz ${CMAKE_BINARY_DIR}/cr3.1.gz)

ADD_CUSTOM_COMMAND(OUTPUT ${man_gz}
   COMMAND ${GZIP_TOOL} -c ${man} > ${man_gz}
   DEPENDS ${man}
   COMMENT "Building ${man_gz}")

SET (CR3_MAN_PAGES ${man_gz})

ELSE()
SET (CR3_MAN_PAGES)

ENDIF(UNIX)


ADD_EXECUTABLE(cr3 ${CR3_MAN_PAGES} ${CR3_SOURCES} ${CR3_RCS} ${CR3_UI_HDRS} ${CR3_MOC_SRCS} ${QM_FILES})

if(WIN32)
if(CMAKE_GENERATOR MATCHES "Visual Studio*")
set_target_properties(cr3 PROPERTIES
LINK_FLAGS_DEBUG "/SUBSYSTEM:CONSOLE")
set_target_properties(cr3 PROPERTIES
RELWITHDEBINFO "/SUBSYSTEM:CONSOLE")
set_target_properties(cr3 PROPERTIES
LINK_FLAGS_RELEASE "/SUBSYSTEM:WINDOWS")
set_target_properties(cr3 PROPERTIES
MINSIZEREL "/SUBSYSTEM:WINDOWS")
endif(CMAKE_GENERATOR MATCHES "Visual Studio*")
endif(WIN32)



IF (UNIX)
    SET (EXTRA_LIBS ${QT_LIBRARIES} fontconfig ${STD_LIBS} )
ELSE()
    SET (EXTRA_LIBS ${QT_LIBRARIES} ${STD_LIBS} )
ENDIF(UNIX)
TARGET_LINK_LIBRARIES(cr3 crengine tinydict ${EXTRA_LIBS})


IF (UNIX)


INSTALL(FILES ${man_gz}
   DESTINATION "share/man/man1"
   PERMISSIONS OWNER_READ GROUP_READ WORLD_READ)

INSTALL( TARGETS cr3 RUNTIME DESTINATION bin )
INSTALL( DIRECTORY data/ DESTINATION share/cr3 
   FILES_MATCHING PATTERN "*.css" )
INSTALL( DIRECTORY data/hyph DESTINATION share/cr3 
   FILES_MATCHING PATTERN "*.pdb" )
INSTALL( DIRECTORY data/hyph DESTINATION share/cr3 
   FILES_MATCHING PATTERN "*.pattern" )
INSTALL( DIRECTORY data/skins DESTINATION share/cr3/skins )
INSTALL( FILES ${QM_FILES} DESTINATION share/cr3/i18n )
INSTALL( FILES src/desktop/cr3.desktop DESTINATION share/applications )
INSTALL( FILES src/desktop/cr3.png DESTINATION share/pixmaps )
INSTALL( FILES src/desktop/cr3.xpm DESTINATION share/pixmaps )

ELSE()

INSTALL( TARGETS cr3 RUNTIME DESTINATION . )
INSTALL( DIRECTORY data/ DESTINATION . 
   FILES_MATCHING PATTERN "*.css" )
INSTALL( DIRECTORY data/hyph DESTINATION . 
   FILES_MATCHING PATTERN "*.pdb" )
INSTALL( DIRECTORY data/hyph DESTINATION . 
   FILES_MATCHING PATTERN "*.pattern" )
INSTALL( DIRECTORY data/skins DESTINATION . )
INSTALL( FILES ${QM_FILES} DESTINATION i18n )

ENDIF(UNIX)

=== cr3wx/CMakeLists.txt ===

SET (CR3_SOURCES 
src/cr3.cpp  src/histlist.cpp  
src/optdlg.cpp  
#src/StdAfx.cpp  
src/toc.cpp  src/view.cpp  
src/wolopt.cpp
src/resources/cr3_def_cover.cpp
#src/resources/crrcconv.cpp
)
LINK_DIRECTORIES(${wxWidgets_LIBRARY_DIRS})
ADD_EXECUTABLE(cr3 ${CR3_SOURCES})
SET (EXTRA_LIBS  ${wxWidgets_LIBRARIES} ${STD_LIBS})
TARGET_LINK_LIBRARIES(cr3 crengine tinydict ${EXTRA_LIBS})

IF (UNIX)
  INSTALL( TARGETS cr3 RUNTIME DESTINATION bin )
  INSTALL( DIRECTORY ../cr3qt/data/ DESTINATION share/cr3 
  FILES_MATCHING PATTERN "*.css" )
  INSTALL( DIRECTORY ../cr3qt/data/hyph DESTINATION share/cr3 
  FILES_MATCHING PATTERN "*.pdb" )
  INSTALL( DIRECTORY ../cr3qt/data/hyph DESTINATION share/cr3 
  FILES_MATCHING PATTERN "*.pattern" )
  INSTALL( DIRECTORY ../cr3qt/data/skins DESTINATION share/cr3/skins )
ELSE()
  INSTALL( TARGETS cr3 RUNTIME DESTINATION . )
  INSTALL( DIRECTORY ../cr3qt/data/ DESTINATION . 
  FILES_MATCHING PATTERN "*.css" )
  INSTALL( DIRECTORY ../cr3qt/data/hyph DESTINATION . 
  FILES_MATCHING PATTERN "*.pdb" )
  INSTALL( DIRECTORY ../cr3qt/data/hyph DESTINATION . 
  FILES_MATCHING PATTERN "*.pattern" )
  INSTALL( DIRECTORY ../cr3qt/data/skins DESTINATION . )
ENDIF(UNIX)

=== crengine/CMakeLists.txt ===
SET (CRENGINE_SOURCES 
src/cp_stats.cpp  
src/lvstring.cpp  
src/props.cpp
src/lstridmap.cpp  
src/rtfimp.cpp
src/cri18n.cpp    
src/lvmemman.cpp        
src/lvstyles.cpp  
src/crtxtenc.cpp  
src/lvtinydom.cpp 
src/lvstream.cpp  
src/lvxml.cpp     
src/lvstsheet.cpp 
src/txtselector.cpp
#src/xutils.cpp
src/crtest.cpp
)

if ( NOT ${GUI} STREQUAL FB2PROPS )
    SET (CRENGINE_SOURCES ${CRENGINE_SOURCES}
    src/lvbmpbuf.cpp   
    src/lvfnt.cpp      
    src/hyphman.cpp    
    src/lvfntman.cpp        
    src/crgui.cpp     
    src/lvimg.cpp           
    src/crskin.cpp    
    src/lvdrawbuf.cpp  
    src/lvdocview.cpp  
    src/lvpagesplitter.cpp  
    src/lvtextfm.cpp
    src/lvrend.cpp
    src/wolutil.cpp
    src/hist.cpp      
    src/chmfmt.cpp     
    src/epubfmt.cpp     
    src/wordfmt.cpp     
    #src/xutils.cpp
    )
endif (NOT ${GUI} STREQUAL FB2PROPS)

ADD_LIBRARY(crengine STATIC ${CRENGINE_SOURCES})

=== thirdparty/antiword/CMakeLists.txt ===
IF(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE Release CACHE STRING
    "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
    FORCE)
ENDIF(NOT CMAKE_BUILD_TYPE)

IF (${CMAKE_BUILD_TYPE} STREQUAL Release)
    ADD_DEFINITIONS( -DNDEBUG=1 )
ELSE()
    ADD_DEFINITIONS( -DDEBUG=1 )
ENDIF(${CMAKE_BUILD_TYPE} STREQUAL Release)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})

SET (ANTIWORD_SOURCES 
#    main_u.c 
    asc85enc.c blocklist.c chartrans.c datalist.c depot.c
    dib2eps.c doclist.c fail.c finddata.c findtext.c fmt_text.c fontlist.c
    fonts.c fonts_u.c hdrftrlist.c imgexam.c imgtrans.c jpeg2eps.c
    listlist.c misc.c notes.c options.c out2window.c output.c pdf.c
    pictlist.c png2eps.c postscript.c prop0.c prop2.c prop6.c prop8.c
    properties.c propmod.c rowlist.c sectlist.c stylelist.c stylesheet.c
    summary.c tabstop.c text.c unix.c utf8.c word2text.c worddos.c
    wordlib.c wordmac.c wordole.c wordwin.c xmalloc.c xml.c
)

if (WIN32)
SET (ANTIWORD_SOURCES ${ANTIWORD_SOURCES}
)
endif(WIN32)

ADD_LIBRARY(antiword STATIC ${ANTIWORD_SOURCES})

=== thirdparty/freetype/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/include)
ADD_DEFINITIONS(-DFT2_BUILD_LIBRARY=1)

SET (FREETYPE_SOURCES 
  src/autofit/autofit.c 
  src/bdf/bdf.c 
  src/cff/cff.c 
  src/base/ftbase.c 
  src/base/ftbbox.c 
  src/base/ftbdf.c 
  src/base/ftbitmap.c 
  src/base/ftgasp.c 
  src/cache/ftcache.c 
  src/base/ftglyph.c 
  src/base/ftgxval.c 
  src/gzip/ftgzip.c 
  src/base/ftinit.c 
  src/lzw/ftlzw.c 
  src/base/ftmm.c 
  src/base/ftotval.c 
  src/base/ftpfr.c 
  src/base/ftstroke.c 
  src/base/ftsynth.c 
  src/base/ftsystem.c 
  src/base/fttype1.c 
  src/base/ftwinfnt.c 
  src/base/ftxf86.c 
  src/pcf/pcf.c 
  src/pfr/pfr.c 
  src/psaux/psaux.c 
  src/pshinter/pshinter.c 
  src/psnames/psmodule.c 
  src/raster/raster.c 
  src/sfnt/sfnt.c 
  src/smooth/smooth.c 
  src/truetype/truetype.c 
  src/type1/type1.c 
  src/cid/type1cid.c 
  src/type42/type42.c 
)

if (WIN32)
SET (FREETYPE_SOURCES ${FREETYPE_SOURCES}
  builds/win32/ftdebug.c 
  src/winfonts/winfnt.c
)
endif(WIN32)

if (DEFINED FREETYPE_DYNAMIC)
ADD_LIBRARY(freetype SHARED ${FREETYPE_SOURCES})
TARGET_LINK_LIBRARIES(freetype)
else()
ADD_LIBRARY(freetype STATIC ${FREETYPE_SOURCES})
endif (DEFINED FREETYPE_DYNAMIC)

=== thirdparty/libpng/CMakeLists.txt ===
SET (PNG_SOURCES 
pngerror.c  pngget.c  pngpread.c  
pngrio.c    pngrutil.c  
pngtest.c   pngvcrd.c  
#pngwrite.c  
pngwutil.c
png.c      pnggccrd.c  pngmem.c  pngread.c   
pngrtran.c  pngset.c    
pngtrans.c  pngwio.c   pngwtran.c
)
ADD_LIBRARY(png STATIC ${PNG_SOURCES})

=== packages/openinkpot/debian/changelog ===
cr3 (3.0.35-3) zelazny; urgency=low

  * Typo in bookmark xml markup

 -- Alexander V. Nikolaev <avn@daemon.hole.ru>  Tue, 02 Nov 2010 23:54:30 +0200

cr3 (3.0.35-2) zelazny; urgency=low

  [ Vadim Lopatin ]
  * fix font colors in 2bit mode
  * fix libpng support
  * background-color support for inline elements
  * CSS: add hanging attribute support to text-indent property
  * CSS: add text-align-last property support to css parser
  * CSS: implement text-align-last property support
  * fix style for FB2 <v> element
  * fix page numbers in Qt TOC
  * page skin implementation
  * page skin list implementation
  * CSS: allow space-separated : after style property name
  * allow any namespace for reference to image using href or src
    attributes
  * fix current page number +1 for cr3gui/about dialog
  * page skin settings, in progress...
  * Add cache file contents CRC validation
  * avoid writing unchanged data blocks to cache file
  * text selection rework, part 1
  * move unit tests to separate source file
  * DOM cache file storage bugs fixed
  * put extra debug checks under conditional compilation
  * fix Valgrind findings
  * disable cache file validation
  * performance optimizations: style and font hash calculation
  * use FNV-1 64bit hash
  * add support of old libpng
  * new formatter, part 1
  * new formatter, part 2
  * new formatter, part 3
  * fix qt build

 -- Alexander Kerner <lunohod@openinkpot.org>  Mon, 06 Sep 2010 21:58:28 +0200

cr3 (3.0.35-1) zelazny; urgency=low

  [ Vadim Lopatin ]
  * implement image titles, fix inline images
  * increment version
  * fix 2-bit gray buffer semi-transparent PNG support
  * add list-style-type and list-style-position CSS properties
  * implement CSS lists support
  * fix internal document styles
  * disable heap size logging by default

 -- Alexander Kerner <lunohod@openinkpot.org>  Tue, 20 Jul 2010 19:46:01 +0200

cr3 (3.0.34-2) zelazny; urgency=low

  [ Vadim Lopatin ]
  * add history and custom-info to About/FileInfo

 -- Alexander Kerner <lunohod@openinkpot.org>  Fri, 16 Jul 2010 15:37:13 +0200

cr3 (3.0.34-1) zelazny; urgency=low

  [ Vadim Lopatin ]
  * change key mapping according to screen orientation -- N516
  * arrow keys remapping according to screen orientation, V3/Openinkpot
  * Jinke/Nano-X code cleanup
  * fix footnotes bugs
  * update version

 -- Alexander Kerner <lunohod@openinkpot.org>  Tue, 13 Jul 2010 17:53:35 +0200

cr3 (3.0.24-27) zelazny; urgency=low

  [ Vadim Lopatin ]
  * Fix invisible title bug
  * fix fb2 internal stylesheet usage
  * fix rendering of semitransparent images with low pixel depth modes

 -- Alexander Kerner <lunohod@openinkpot.org>  Sat, 10 Jul 2010 21:52:56 +0200

cr3 (3.0.24-26) zelazny; urgency=low

  [ Vadim Lopatin ]
  * remove cr3.png from OI installation
  * fix HTML encoded (like 'file%20name') links support
  * fix wxWidgets build
  * fix QT build - font and fullscreen settings
  * rework Search feature
  * add Search dialog to Qt version
  * implemented Search feature in Qt version
  * fix controls setting bug
  * fix OI external dictionary command name
  * move CR3 version to cr3version.h
  * fix install of cr3.png
  * fix win32/mingw/qt build
  * win32/qt/msvc fixes, fix warnings
  * EOL changes
  * Qt app fixes
  * qt/win32 fixes
  * win32 stream fixes

 -- Alexander Kerner <lunohod@openinkpot.org>  Wed, 30 Jun 2010 12:23:58 +0200

cr3 (3.0.24-25) zelazny; urgency=low

  [ Vadim Lopatin ]
  * AntiWord Support, part 1
  * antiword support, part 2
  * Show filename at page header
  * application event queue, part 1
  * use application message queue for XCB
  * retain fullScreen flag while removing duplicate Update events
  * fixes for application message queue
  * message queue fixes
  * fixes
  * fix event handling
  * update Ukrainian translation
  * update skin
  * history and settings saving optimization
  * V3 skin fixes, font setting fixes
  * save cache file changes on render instead of exit
  * use external dictionary edict for OpenInkpot
  * enable edict for OI builds
  * update README.TXT build commandline for OI

 -- Alexander Kerner <lunohod@openinkpot.org>  Mon, 21 Jun 2010 10:11:25 +0200

cr3 (3.0.24-24) zelazny; urgency=low

  [ Vadim Lopatin ]
  * mem buffer settings
  * big files, data size optimization, part 1
  * big files: rework mutable text node
  * remove parent index from text ldomNode
  * add storage for element style and font indexes
  * move style and font indexes to separate storage
  * node memory size optimization, part 2
  * memory sizes optimizations
  * adding configurable document cache options
  * LIBCHM fix for MIPS
  * RAM usage optimizations
  * fix warning
  * qt/win32/msvc build fixes
  * EPUB support improvements: hrefs, images
  * epub fixes
  * increase page margins
  * fix font cache memory leak
  * fix epub images
  * add cache file support for EPUB
  * fix N516 key mapping for 0-HELP
  * chm support
  * add chm.css
  * chm, epub, html support improvements
  * add CHM mime type
  * fix fb2.css image alignment

 -- Alexander Kerner <lunohod@openinkpot.org>  Fri, 04 Jun 2010 22:51:18 +0200

cr3 (3.0.24-23) zelazny; urgency=low

  [ Vadim Lopatin ]
  * fix TOC issue for documents opened from cache
  * fix text-indent CSS property bug
  * moving epub support to separate files, part 1
  * fixes
  * fix crash oon some documents opening
  * fix xcb_create_image_native call
  * big block write cache, part 1
  * block write cache, part 2
  * fix block writer
  * fix QT build
  * fix debug logging
  * README: list of required packages for Ubuntu
  * QT: add scrolling by left/right arrows
  * performance tuning
  * uncompressed mode, part 1
  * cache access rework
  * postpone cache flush until document close
  * performance tunung
  * fix win32/msys build
  * fix CHMLIB build for win32/msys
  * fix win32/qt/msys build
  * fix win32/linux builds
  * min mem settings

 -- Alexander Kerner <lunohod@openinkpot.org>  Thu, 20 May 2010 09:24:45 +0200


=== packages/ubuntu/debian/changelog ===
cr3 (3.0.36-1) lucid; urgency=low

  * Initial release

 -- Vadim Lopatin <buggins@fromru.com>  Mon, 06 Sep 2010 11:04:49 +0400

=== packages/ubuntu/debian/control ===
Source: cr3
Section: text
Priority: optional
Maintainer: Vadim Lopatin <buggins@fromru.com>
Build-Depends: debhelper (>= 7), cmake, zlib1g, libpng12-0-dev, libjpeg62-dev, libfreetype6-dev, libfontconfig1-dev, libqt4-dev, cdbs
Standards-Version: 3.8.4
Homepage: http://sourceforge.net/projects/crengine/

Package: cr3
Architecture: any
Depends: zlib1g, libpng12-0, libjpeg62, libfreetype6, libfontconfig1, libqtcore4, libqtgui4, ${shlibs:Depends}, ${misc:Depends}
Description: e-book reader
 Cool Reader 3 is multiplatform e-book viewer
 with support of TXT, FB2, HTML, RTF, CHM, EPUB, TRC file formats.
 Fully supports FB2 format: tables, footnotes, CSS based formatting.
 Autodetects TXT file format and encoding, and reflows it for easy reading.
 Supports table of contents, search, bookmarks.
 Supports window and fullscreen modes, paperbook-like pages or scroll view.
 Book formatting is customizable using CSS files.

=== packages/ubuntu/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

DEB_CMAKE_EXTRA_FLAGS :=  -DGUI=QT -DCMAKE_BUILD_TYPE=Release  -DCMAKE_INSTALL_PREFIX=/usr -DDOC_DATA_COMPRESSION_LEVEL=3 -DDOC_BUFFER_SIZE=0x2500000

#%:
#	dh  $@

=== packages/ubuntu/debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage
# <Webpage URL> <string match>
#http://www.example.com/downloads.php cr3-(.*)\.tar\.gz
#http://sourceforge.net/projects/crengine/files/ cr3-(.*)\.tar\.gz

# Uncomment to examine a Webserver directory
#http://www.example.com/pub/cr3-(.*)\.tar\.gz

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/cr3-(.*)\.tar\.gz debian uupdate

# Uncomment to find new files on sourceforge, for devscripts >= 2.9
# http://sf.net/cr3/cr3-(.*)\.tar\.gz
http://sf.net/crengine/cr3-(.*)\.tar\.gz

# Uncomment to find new files on GooglePages
# http://example.googlepages.com/foo.html cr3-(.*)\.tar\.gz
